The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / dnsmasq / S80dnsmasq
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/dnsmasq/S80dnsmasq b/cirros-testvm/src-cirros/buildroot-2015.05/package/dnsmasq/S80dnsmasq
new file mode 100755 (executable)
index 0000000..587751e
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+[ -x /usr/sbin/dnsmasq ] || exit 0
+[ -f /etc/dnsmasq.conf ] || exit 0
+
+case "$1" in
+       start)
+               echo -n "Starting dnsmasq: "
+               start-stop-daemon -S -x /usr/sbin/dnsmasq
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping dnsmasq: "
+               start-stop-daemon -K -q -x /usr/sbin/dnsmasq
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart|reload)
+               $0 stop
+               $0 start
+               ;;
+       *)
+               echo "Usage: $0 {start|stop|restart}"
+               exit 1
+esac
+
+exit 0